Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class TreeExpansionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.swing.event.TreeExpansionEvent

public class TreeExpansionEvent
extends java.util.EventObject

An event used to identify a single path in a tree. The source returned by getSource will be an instance of JTree.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected TreePath` | `path` Path to the value this event represents.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TreeExpansionEvent(java.lang.Object source, TreePath path)` Constructs a TreeExpansionEvent object.

Method Summary
`TreePath` | `getPath()` Returns the path to the value that has been expanded/collapsed.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### path

    protected TreePath path

  Path to the value this event represents.

Constructor Detail

### TreeExpansionEvent

    public TreeExpansionEvent(java.lang.Object source,
                              TreePath path)

  Constructs a TreeExpansionEvent object.
  Parameters:
    `source` - the Object that originated the event (typically `this`)
    `path` - a TreePath object identifying the newly expanded node

Method Detail

### getPath

    public TreePath getPath()

  Returns the path to the value that has been expanded/collapsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.